Subject: Re: kernel patches

From: G a r a n <[email-masked]>
Date: Mon, 23 Feb 1998 11:33:34 +0000

At 15:30 22/02/98 +0000, you wrote:
>>linux/arch/arm, all the files are there but are empty.  It brings up some
>>strange messages when applying the patch - how can I log these to a file for
>>investigation? 
>
>`patch ... 2>&1 | tee logfile' may do what you want.

Yes, that helped.  The errors I get are most of the hunks failing to begin
with.  Some of the later ones succeed, but nevertheless yield empty files.
It also says 'unexpected end of file' at the end.  I've downloaded the patch
about 5 times so I know it's intact.  The .rej files it says it will create
when the hunks fail are empty too, so that doesn't help! Any ideas?

If anyone has compiled a RPC600 kernel with acorn scsi support compiled in,
can I borrow it just to get my system going? Once I have a non-floppy root
my efforts at compiling kernels may be more fruitful.

Thanks!

Garan Jenkin
Garan

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Mon, 23 Feb 1998 21:26:15 +0000 (GMT)

> when the hunks fail are empty too, so that doesn't help! Any ideas?

What version of the kernel sources are you trying to patch?

Which patch file are you trying to apply?

What is the *exact* command line you are using to patch the sources?

In what directory are you running this command?
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King        [email-masked]        --- ---
  | | | |    http://www.arm.uk.linux.org/~rmk/home.html      /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: Webmaster <[email-masked]>
Date: Tue, 24 Feb 1998 19:11:29 +0000 (GMT)

> What version of the kernel sources are you trying to patch?
2.0.31
> Which patch file are you trying to apply?
I've tried every single one in the patch directory (each time on a clean
source tree) from 2.0.31pre9 up.
> What is the *exact* command line you are using to patch the sources?
First I did :
cd linux && zcat ../patchxx.gz | patch -p1
I tried variations on this too.

> In what directory are you running this command?
/mnt/usr/src/linux (/dev/sda3 mounted on /mnt)

Bye Bye!

Garan

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Tue, 24 Feb 1998 23:10:04 +0000 (GMT)

> source tree) from 2.0.31pre9 up.

The 2.0.31pre9 patch is for the 2.0.31 prerelease 9 source code, *not*
the 2.0.31 source code.

The correct patch file is patch-arm-2.0.31-1997.11.15.gz, which is referenced
by the patch-arm-2.0.31.gz link.

If this patch file does not work, check how much free space you have on your
drive - you must have sufficient for at least twice the uncompressed patch
size (in this case, probably need at least 6MB free).
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King        [email-masked]        --- ---
  | | | |    http://www.arm.uk.linux.org/~rmk/home.html      /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |